Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.ide.idea.model
[Groovy] Class SingleEntryModuleLibrary

    java.lang.Object
      org.gradle.plugins.ide.idea.model.ModuleLibrary
          org.gradle.plugins.ide.idea.model.SingleEntryModuleLibrary

    class SingleEntryModuleLibrary
    extends ModuleLibrary

Single entry module library

Constructor Summary
`SingleEntryModuleLibrary(FilePath library, FilePath javadoc, FilePath source, java.lang.String scope)` Creates single entry module library
`SingleEntryModuleLibrary(FilePath library, java.lang.String scope)` Creates single entry module library

Method Summary
`java.io.File` | `getJavadocFile()` Returns a single javadoc jar or javadoc folder
`java.io.File` | `getLibraryFile()` Returns a single jar or class folder
`java.io.File` | `getSourceFile()` Returns a single source jar or source folder

Methods inherited from class ModuleLibrary
addToNode, equals, hashCode, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### SingleEntryModuleLibrary

    SingleEntryModuleLibrary(FilePath library, FilePath javadoc, FilePath source, java.lang.String scope)

  Creates single entry module library
  Parameters:
    `libraryFile` - jar or class folder
    `library` - a path to jar or class folder in idea format
    `javadoc` - a path to javadoc jar or javadoc folder
    `source` - a path to source jar or source folder
    `scope` - scope
  Returns:

### SingleEntryModuleLibrary

    SingleEntryModuleLibrary(FilePath library, java.lang.String scope)

  Creates single entry module library
  Parameters:
    `libraryFile` - jar or class folder
    `library` - a path to jar or class folder in Path format
    `scope` - scope
  Returns:

Method Detail

### getJavadocFile

    java.io.File getJavadocFile()

  Returns a single javadoc jar or javadoc folder

### getLibraryFile

    java.io.File getLibraryFile()

  Returns a single jar or class folder

### getSourceFile

    java.io.File getSourceFile()

  Returns a single source jar or source folder

Groovy Documentation